YOUChain Java SDK 文档

环境要求:

JDK 8 及以上版本

项目地址

https://github.com/youchainhq/youchain.java

安装方式:

Maven

在项目的 pom.xml 中添加依赖:

Java 8

<!-- https://mvnrepository.com/artifact/cc.youchain/core -->
<dependency>
    <groupId>cc.youchain</groupId>
    <artifactId>core</artifactId>
    <version>1.1.5</version>
</dependency>

Gradle

或在项目的 build.gradle 中添加依赖:

Java 8

dependencies {
    ...
    compile('cc.youchain:core:1.1.5')
}

下面主要分七个部分介绍一下 YOUChain Java SDK。

账户管理

交易

智能合约

过滤器、事件与通知

YOUChain 接口

Personal 接口

命令行工具

Staking 接口